Bug 526932 - Can't create xml-exchange binding with qpid-config
Summary: Can't create xml-exchange binding with qpid-config
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Jonathan Robie
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-02 15:32 UTC by Jonathan Robie
Modified: 2013-02-25 20:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-10 15:08:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jonathan Robie 2009-10-02 15:32:23 UTC
When a binding for an XML exchange is specified with qpid-config, it does not seem to be passed correctly to the actual binding - perhaps the spaces or quotes are confusing qpid-config?

# qpid-config -a 10.60.101.70:5672 bind sita.xml flightXML "./message/id mod 2 = 1"
Failed: SessionException - exception(error_code=541, command_id=serial(50), class_code=7, command_code=4, field_index=0, description=u'internal-error: Could not parse xquery: (qpid/xml/XmlExchange.cpp:113)', error_info={})

The same query works fine when passed as a string from Python or C++.

Comment 1 Gordon Sim 2010-09-10 15:08:43 UTC
There is a -f/--file option for specifying a query. See qpid-config --help.


Note You need to log in before you can comment on or make changes to this bug.